package com.lovecoding.day12.interface03;

public class Zi extends Fu implements Fu1,Fu2{

//    @Override
//    public void f() {
//        //生成默认显示第一个
//        //调用 类名.super.方法
//        Fu2.super.f();
//    }

    public void f() {
        //没有重写 调用父类的 亲爹优先 重写之后调用子类

        //调用调用接口的默认方法
        Fu1.super.f();

        //调用父类的中方法
        super.f();

        System.out.println("Zi");
    }


}
